<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://watermelonwebworks.com
 * @since      2.6.0
 *
 * @package    Wp_Bitly
 * @subpackage Wp_Bitly/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      2.6.0
 * @package    Wp_Bitly
 * @subpackage Wp_Bitly/includes
 * @author     Watermelon Web Works <projects@watermelonwebworks.com>
 */
class Wp_Bitly_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    2.6.0
	 */
	public static function deactivate() {

	delete_option(WPBITLY_OPTIONS);
    delete_option(WPBITLY_AUTHORIZED);

    // Grab all posts with an attached shortlink
    $posts = get_posts('numberposts=-1&post_type=any&meta_key=_wpbitly');

    // And remove our meta information from them
    // @TODO benchmark this against deleting it with a quick SQL query. Probably quicker, any conflict?
    	foreach ($posts as $post) {
        	delete_post_meta($post->ID, '_wpbitly');
        }

	}
		

}
